Bug 118683 - ipsec fails to start
Summary: ipsec fails to start
Status: CLOSED DUPLICATE of bug 113090
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: ipsec-tools (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-18 21:14 UTC by Glenn Powers
Modified: 2014-03-17 02:43 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 19:02:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Glenn Powers 2004-03-18 21:14:01 UTC
Description of problem:

ipsec fails to start.

Version-Release number of selected component (if applicable):


How reproducible:

Always.

Steps to Reproduce:
1. Follow instructions at
file:///usr/share/doc/rhel-sg-en-3/s1-ipsec-host2host.html
Red Hat Enterprise Linux 3: Security Guide
Chapter 6. Virtual Private Networks
6.11. IPsec Host-to-Host Configuration

2. /sbin/ifup ipsec0

3. Get Error:
Usage: grep [OPTION]... PATTERN [FILE]...
Try `grep --help' for more information.
Usage: grep [OPTION]... PATTERN [FILE]...
Try `grep --help' for more information.
Missing config file ifcfg-ifcfg-ipsec0.

  
Actual results:

Error Message.

Expected results:

IPSec Works.

Additional info:

Comment 1 Bill Nottingham 2004-03-18 23:24:13 UTC
Can you attach your config files?

Comment 2 Glenn Powers 2004-03-19 13:21:02 UTC
[root@rhel glenn]# cat /etc/sysconfig/network-scripts/ifcfg-ipsec0
DST=XXX.XXX.239.7
TYPE=IPsec
ONBOOT=no
IKE_METHOD=PSK
[root@rhel glenn]# cat /etc/sysconfig/network-scripts/keys-ipsec0
IKE_PSK=XXXXXXXXXXXXX
[root@rhel glenn]#

(X's not in actual files)


Comment 3 Marc Fielding 2004-07-13 09:57:57 UTC
Hi Glenn,

I just ran into this problem myself and did some digging through the 
scripts.  This appears to be a capitalization error in the manual.  
While the manual's example says

TYPE=IPsec

However, /etc/sysconfig/network-scripts/ifup-ipsec says

# ifup-ipsec
#
# Brings up ipsec interfaces
#
# Configuration parameters
#
#     SRC = source address. Not required.
#     DST = destination address
#     TYPE = IPSEC

By changing the line TYPE=IPsec to TYPE=IPSEC, ifup recognizes the 
interface as a real IPsec interface and passes it on to the proper 
setup script (which if ifup-ipsec in this case).

Marc

Comment 4 Bill Nottingham 2005-02-04 22:12:33 UTC
Apologies for the lack of response - does making the suggested change
work for you?

Comment 5 Bill Nottingham 2005-03-11 23:02:35 UTC

*** This bug has been marked as a duplicate of 113090 ***

Comment 6 Red Hat Bugzilla 2006-02-21 19:02:04 UTC
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.


Note You need to log in before you can comment on or make changes to this bug.